/*
 * settingsdialog.h -- Contains all application settings
 *
 * Copyright (C) 2010 Andrea Grandi
 * Authors: Andrea Grandi <a.grandi@gmail.com>
 *
 * This file is part of LastGo and is published under the GNU GPLv2
 * See the README file for more details.
 */

#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

#include <QDialog>
#include "lastgowh.h"

class LastGoWH;

namespace Ui {
    class SettingsDialog;
}

class SettingsDialog : public QDialog
{
    Q_OBJECT

public:
    explicit SettingsDialog(LastGoWH *mainwindow, QWidget *parent = 0);
    ~SettingsDialog();

private slots:
    void saveSettings();
    void loadSettings();

private:
    Ui::SettingsDialog *ui;
    LastGoWH *mwindow;
};

#endif // SETTINGSDIALOG_H
